cURL
curl -X GET "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f/history/latest" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
timestamp = 'latest' # or use specific timestamp like 1640995200
response = requests.get(f'https://api.sitespy.app/api/v1/watch/{uuid}/history/{timestamp}', headers=headers)
print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}/history/{timestamp}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<string>"Snapshots
Get single snapshot
Get single snapshot from web page change monitor (watch). Use ‘latest’ for the most recent snapshot. Use the Watch History API to get a list of timestamps to pass.
GET
/
watch
/
{uuid}
/
history
/
{timestamp}
cURL
curl -X GET "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f/history/latest" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
timestamp = 'latest' # or use specific timestamp like 1640995200
response = requests.get(f'https://api.sitespy.app/api/v1/watch/{uuid}/history/{timestamp}', headers=headers)
print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}/history/{timestamp}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<string>"Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Path Parameters
Web page change monitor (watch) unique ID
Snapshot timestamp or 'latest'
Query Parameters
Set to 1 to return the last HTML
Available options:
1 Response
Snapshot content
The response is of type string.

